Get an amenity by ID
https://api.propexo.com/v1/amenities/:amenity_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the amenity
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The external ID of the listing from the integration vendor
The external ID from the integration vendor of the amenity this unit and/or property amenity is associated with
The external ID of the property from the integration vendor
DEPRECATED: Please use the "units" field to see the associated units with this amenity
Cost in cents for the amenity
100000custom_data object | nullrequired
Description of the amenity
Whether the amenity is a unit amenity
meta_data object | nullrequired
The name associated with the amenity
Show 140 enum values
ACCENT_WALLSACCEPTS_SMOKINGADDITIONAL_STORAGEAIR_CONAIR_CONDITIONING_COMMERCIALAIR_CONDITIONINGALARMAPPLIANCES_INCLUDEDAVAILABILITY_24_HOURSBALCONY_OR_DECK_OR_PATIOBALCONYBASKETBALL_COURTBEACH_ACCESSBILINGUALBOAT_DOCKSBROADBAND_INTERNETBUSINESS_CENTERCABLE_READY_COMMERCIALCABLE_READYCABLECAR_WASH_AREACARPETCARPORTCEILING_FANCHILD_CARECLUB_DISCOUNTCLUB_HOUSECONCIERGECONFERENCE_ROOMCONTROLLED_ACCESSCOURTYARDDISHWASHERDISPOSALDOCK_HIGH_DOORS_OR_LOADING_AVAILABLEDOOR_ATTENDANTDOUBLE_SINK_VANITYDRYERELECTRICELEVATORFENCED_YARDFIREPLACEFITNESS_CENTERFRAMED_MIRRORSFREE_WEIGHTSFREEZERFURNISHED_AVAILABLEFURNISHEDGAMING_STATIONSGARAGE_PARKINGGARAGEGASGATEGROCERY_SERVICEGRILLGROUP_EXERCISEGUEST_ROOMHANDICAP_ACCESSHANDRAILSHARDWOOD_FLOORSHEAT_ELECTRICHEAT_GASHEAT_OILHEATHEATINGHIGH_SPEED_INTERNET_COMMERCIALHIGH_SPEED_INTERNETHOT_WATERHOUSE_SITTINGHOUSEKEEPINGINDIVIDUAL_CLIMATE_CONTROLINTERNETISLAND_KITCHENJOGGING_WALKING_TRAILSLAKE_ACCESSLAKE_FRONTLAUNDRYLAUNDRY_ROOM_OR_HOOKUPSLAUNDRY_ROOMLANDSCAPINGLIBRARYLINEN_CLOSETMEAL_SERVICEMEDIA_ROOMMICROWAVEMULTI_USE_ROOMNIGHT_PATROLON_SITE_MAINTENANCEON_SITE_MANAGEMENTOTHEROVEN_OR_RANGEPACKAGE_RECEIVINGPANTRYPARKING_COMMERCIALPARKINGPER_DIEM_ACCEPTEDPETS_ALLOWEDPING_PONGPLAY_GROUNDPONDPOOLPOWERPRIVATE_BALCONYPRIVATE_PATIORACQUETBALLREC_ROOMRECYCLINGREFRIGERATORSATELLITESAUNASECURITYSEWERSHORT_TERM_LEASESKYLIGHTSMOKE_FREESNOW_REMOVALSPASPRINKLER_SYSTEMSTORAGE_UNITSSUNDECKTELEPHONETENNIS_COURTTILE_FLOORINGTRANSPORTATIONTRASHTV_LOUNGEVALET_TRASHVAULTED_CEILINGVIEWVINTAGEVINYL_FLOORINGVOLLEYBALL_COURTWALK_IN_CLOSETSWASHERWATERWD_HOOKUPWD_IN_UNITWHEEL_CHAIRWHEELCHAIR_ACCESSWINDOW_COVERINGSWIRELESS_INTERNETThe name associated with the amenity
units object[]required
The Propexo unique identifier for the amenity
cm2j4ivcv0000eioz6rd365seThe Propexo unique identifier for the unit
cm2j4jbzf0002eiozdudz9bdaCost in cents for the amenity on a particular unit
100000The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/amenities/:amenity_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_listing_id": "string",
"x_parent_amenity_id": "string",
"x_property_id": "string",
"cost_in_cents": 100000,
"custom_data": "Unknown Type: object,null",
"description": "string",
"image_urls": [
"https://loremflickr.com/640/480/apartment"
],
"is_unit_amenity": true,
"meta_data": "Unknown Type: object,null",
"name_normalized": "ACCENT_WALLS",
"name": "string",
"units": [
{
"amenity_id": "cm2j4ivcv0000eioz6rd365se",
"unit_id": "cm2j4jbzf0002eiozdudz9bda",
"cost_in_cents": 100000
}
],
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string"
}
}